<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsBaud Namespace Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">XsBaud Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Namespace for Baud rate and Baud code constants and conversions.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a547834ff1cfd702581fd1e29da153fe7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_xs_baud.html#a547834ff1cfd702581fd1e29da153fe7">codeToRate</a> (XsBaudCode baudcode)</td></tr>
<tr class="memdesc:a547834ff1cfd702581fd1e29da153fe7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert an Xsens baud code to XsBaudRate.  <a href="#a547834ff1cfd702581fd1e29da153fe7">More...</a><br /></td></tr>
<tr class="separator:a547834ff1cfd702581fd1e29da153fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1ed837655d4a95b77236d7c7fca0e9d"><td class="memItemLeft" align="right" valign="top">XsBaudCode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_xs_baud.html#ae1ed837655d4a95b77236d7c7fca0e9d">rateToCode</a> (<a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate)</td></tr>
<tr class="memdesc:ae1ed837655d4a95b77236d7c7fca0e9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a XsBaudRate to an Xsens baud code.  <a href="#ae1ed837655d4a95b77236d7c7fca0e9d">More...</a><br /></td></tr>
<tr class="separator:ae1ed837655d4a95b77236d7c7fca0e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad0a2251b02f79d160ca0a804bfe042"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_xs_baud.html#adad0a2251b02f79d160ca0a804bfe042">rateToNumeric</a> (<a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> baudrate)</td></tr>
<tr class="memdesc:adad0a2251b02f79d160ca0a804bfe042"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a XsBaudrate to a numeric baudrate in bps.  <a href="#adad0a2251b02f79d160ca0a804bfe042">More...</a><br /></td></tr>
<tr class="separator:adad0a2251b02f79d160ca0a804bfe042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69d15bc22511d444a4eb4e1c10c4ad5d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_xs_baud.html#a69d15bc22511d444a4eb4e1c10c4ad5d">numericToRate</a> (int numeric)</td></tr>
<tr class="memdesc:a69d15bc22511d444a4eb4e1c10c4ad5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a numeric baudrate in bps to XsBaudrate.  <a href="#a69d15bc22511d444a4eb4e1c10c4ad5d">More...</a><br /></td></tr>
<tr class="separator:a69d15bc22511d444a4eb4e1c10c4ad5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Namespace for Baud rate and Baud code constants and conversions. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a547834ff1cfd702581fd1e29da153fe7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> XsBaud::codeToRate </td>
          <td>(</td>
          <td class="paramtype">XsBaudCode&#160;</td>
          <td class="paramname"><em>baudcode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert an Xsens baud code to XsBaudRate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">baudcode</td><td>: The code to convert to an XsBaudRate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An XsBaudrate </dd></dl>

</div>
</div>
<a class="anchor" id="a69d15bc22511d444a4eb4e1c10c4ad5d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a> XsBaud::numericToRate </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>numeric</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert a numeric baudrate in bps to XsBaudrate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">numeric</td><td>: The numeric baudrate to convert to XsBaudRate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A XsBaudrate </dd></dl>

</div>
</div>
<a class="anchor" id="ae1ed837655d4a95b77236d7c7fca0e9d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsBaudCode XsBaud::rateToCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert a XsBaudRate to an Xsens baud code. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">baudrate</td><td>: The code to convert to an XsBaudCode</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An XsBaudCode </dd></dl>

</div>
</div>
<a class="anchor" id="adad0a2251b02f79d160ca0a804bfe042"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsBaud::rateToNumeric </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga2822b258045f067902cabca1a2f15eec">XsBaudRate</a>&#160;</td>
          <td class="paramname"><em>baudrate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert a XsBaudrate to a numeric baudrate in bps. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">baudrate</td><td>: The XsBaudRate to convert to a numeric baudrate</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A baudrate in bps </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
